#!/usr/bin/env bash

source ${DOTFILES}/helpers.sh

function main()
{
  local scriptdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"

  ${scriptdir}/setup_homebrew.sh

  caskget google-chrome
  caskget dropbox

  # Never sleep fully
  sudo systemsetup -setcomputersleep Off >/dev/null

  # Open finder windows to Home directory
  defaults write com.apple.finder NewWindowTarget -string "PfHm"
  defaults write com.apple.finder NewWindowTargetPath -string "file://${HOME}"

  # Clear dock
  defaults write com.apple.dock persistent-apps -array

  # Set up clock to display date
  defaults write com.apple.menuextra.clock DateFormat -string "EEE d MMM  HH:mm:ss"

}

main "$@"
