#!/usr/bin/env bash

source ${DOTFILES}/helpers.sh

function main()
{
  local scriptdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"

  ${scriptdir}/kitty/setup.sh
  ${scriptdir}/fish/setup.sh
  ${scriptdir}/vim/setup.sh

  print_info "Installing terminal applications"
  brewget tmux

  makedir ${HOME}/bin
  linkfile ${scriptdir}/columnize ${HOME}/bin/columnize
  print_ok "Terminal applications installed"

}

main "$@"
